# /transferNFT

🚨 You'll need to contact `dev@usewinter.com` for your API keys!

<mark style="color:green;">`POST`</mark> `https://winter-api.usewinter.com/transferNFT`

This API will transfer a specific NFT from one user to another user. This transfer will always be an on-chain transaction!

#### Request Body

| Name                                                   | Type   | Description                                                       |
| ------------------------------------------------------ | ------ | ----------------------------------------------------------------- |
| fromEmail<mark style="color:red;">\*</mark>            | String | Email to send NFT from                                            |
| toEmail                                                | String | Email to send NFT to                                              |
| smartContractAddress<mark style="color:red;">\*</mark> | String | Address of ERC-721/1155/Candy Machine NFT of the NFT to send      |
| tokenId                                                | String | (Required for ERC-721/1155 transfers) Token ID of NFT to transfer |
| chain<mark style="color:red;">\*</mark>                | String | Blockchain to do transfer on                                      |
| toWalletAddress                                        | String | Wallet address to send NFT to (optional)                          |

{% tabs %}
{% tab title="200: OK Returns back success and tx hash" %}

```javascript
{
      "tokenId":104,
      "toEmail":"laila@usewinter.com",
      "fromEmail":"michael@usewinter.com",
      "txHash":"0x3c865fa72e45119593abe27ea35161b36e38b73f5b70af2d52fee0c7798dd0c1",
      "status":"SUCCESS"
   }
```

{% endtab %}
{% endtabs %}

This API will transfer a specific NFT from one user to another user. This transfer will always be an on-chain transaction!

E.g. /transferNFT returns:

```
{
    "tokenId":104,
    "toEmail":"bob@usewinter.com",
    "fromEmail":"alice@usewinter.com",
    "txHash":"0x3c865fa72e45119593abe27ea35161b36e38b73f5b70af2d52fee0c7798dd0c1",
    "status":"SUCCESS"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usewinter.com/nft-claim-api/transfernft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
